org.apache.fop.accessibility

## Class DummyStructureTreeEventHandler

- java.lang.Object
- - org.apache.fop.accessibility.DummyStructureTreeEventHandler

- All Implemented Interfaces:
    StructureTreeEventHandler

      public final class DummyStructureTreeEventHandler
      extends java.lang.Object
      implements StructureTreeEventHandler

  This implementation ignores all structure tree events.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StructureTreeEventHandler` | `INSTANCE` The singleton instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endNode(java.lang.String name)` Ends a structure tree node.
    `void` | `endPageSequence()` Ends a page sequence structure tree node.
    `StructureTreeElement` | `startImageNode(java.lang.String name, org.xml.sax.Attributes attributes, StructureTreeElement parent)` Starts an image node.
    `StructureTreeElement` | `startNode(java.lang.String name, org.xml.sax.Attributes attributes, StructureTreeElement parent)` Starts a structure tree node.
    `void` | `startPageSequence(java.util.Locale locale, java.lang.String role)` Starts a page sequence structure tree node.
    `StructureTreeElement` | `startReferencedNode(java.lang.String name, org.xml.sax.Attributes attributes, StructureTreeElement parent)` Starts a node that can be referenced by other nodes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final StructureTreeEventHandler INSTANCE

      The singleton instance of this class.

  - ### Method Detail

    - #### startPageSequence

          public void startPageSequence(java.util.Locale locale,
                                        java.lang.String role)

      Starts a page sequence structure tree node.
      Specified by:
        `startPageSequence` in interface `StructureTreeEventHandler`
      Parameters:
        `locale` - The locale of the page sequence
        `role` - the value of the role property. May be null.

    - #### endPageSequence

          public void endPageSequence()

      Ends a page sequence structure tree node.
      Specified by:
        `endPageSequence` in interface `StructureTreeEventHandler`

    - #### startNode

          public StructureTreeElement startNode(java.lang.String name,
                                                org.xml.sax.Attributes attributes,
                                                StructureTreeElement parent)

      Starts a structure tree node.
      Specified by:
        `startNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

    - #### endNode

          public void endNode(java.lang.String name)

      Ends a structure tree node.
      Specified by:
        `endNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node

    - #### startImageNode

          public StructureTreeElement startImageNode(java.lang.String name,
                                                     org.xml.sax.Attributes attributes,
                                                     StructureTreeElement parent)

      Starts an image node.
      Specified by:
        `startImageNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

    - #### startReferencedNode

          public StructureTreeElement startReferencedNode(java.lang.String name,
                                                          org.xml.sax.Attributes attributes,
                                                          StructureTreeElement parent)

      Starts a node that can be referenced by other nodes. This is usually a node that can have Marked Content References as children.
      Specified by:
        `startReferencedNode` in interface `StructureTreeEventHandler`
      Parameters:
        `name` - the name of the structure tree node
        `attributes` - the node properties
        `parent` - the parent of the node. May be null, in which case the parent node is the node corresponding to the previous call to this method
      Returns:
        the corresponding structure tree element

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.